Name:		putty
Version:	0.80
Release:    1%{?dist}
Summary:	SSH, Telnet and Rlogin client
License:	MIT
URL:		http://www.chiark.greenend.org.uk/~sgtatham/putty/
Source0:	http://the.earth.li/~sgtatham/putty/latest/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Source2:	%{name}.svg
Source3:	uk.org.greenend.chiark.sgtatham.putty.metainfo.xml
BuildRequires:	gtk3-devel
BuildRequires:	krb5-devel
BuildRequires:	halibut
BuildRequires:	desktop-file-utils
BuildRequires:	ImageMagick
BuildRequires:	perl-Digest-SHA
BuildRequires:	coreutils
BuildRequires:	python3-devel
BuildRequires:	sed
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	cmake
Requires:	hicolor-icon-theme

%description
Putty is a SSH, Telnet & Rlogin client - this time for Linux.

%prep
%autosetup

find . -type f -name "*.py" -exec sed -i '/^#!/ s|.*|#!%{__python3}|' {} \;

%build
export CFLAGS="%{build_cflags} -DNOT_X_WINDOWS -Wno-error=unused-function"
%cmake
%cmake_build
make -C icons putty-48.png
cd %{__cmake_builddir}
make -C doc

%install
%cmake_install
install -d html
install -pm 0644 doc/html/*.html html

desktop-file-install \
  --vendor "" \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE1}

install -m644 -D -p icons/putty-48.png %{buildroot}%{_datadir}/pixmaps/putty.png
install -m644 -D -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/putty.svg

install -m644 -D -p %{SOURCE3} %{buildroot}%{_metainfodir}/uk.org.greenend.chiark.sgtatham.putty.metainfo.xml

%files
%doc LICENCE html
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_datadir}/applications/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/uk.org.greenend.chiark.sgtatham.putty.metainfo.xml

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.80-1
- initial build
